> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/canned-messages-for-tenant.md).

# Canned Messages For Tenant

## GET /V2/{tenantVarCode}/cannedmessages

> Returns all canned messages for tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Canned Messages for Tenant"}],"paths":{"/V2/{tenantVarCode}/cannedmessages":{"get":{"tags":["Canned Messages for Tenant"],"summary":"Returns all canned messages for tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CannedMessage"}}}}}}}}},"components":{"schemas":{"CannedMessage":{"required":["Message","Number"],"type":"object","properties":{"Number":{"type":"integer","description":"Canned message number","format":"int32"},"Message":{"minLength":1,"type":"string","description":"The text of the canned message"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time"}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/cannedmessages/{cannedMessageNumber}

> Returns specified canned message for tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Canned Messages for Tenant"}],"paths":{"/V2/{tenantVarCode}/cannedmessages/{cannedMessageNumber}":{"get":{"tags":["Canned Messages for Tenant"],"summary":"Returns specified canned message for tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"cannedMessageNumber","in":"path","description":"Canned Message Number","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CannedMessage"}}}}}}}},"components":{"schemas":{"CannedMessage":{"required":["Message","Number"],"type":"object","properties":{"Number":{"type":"integer","description":"Canned message number","format":"int32"},"Message":{"minLength":1,"type":"string","description":"The text of the canned message"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time"}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/cannedmessages/{cannedMessageNumber}

> Updates canned message for tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Canned Messages for Tenant"}],"paths":{"/V2/{tenantVarCode}/cannedmessages/{cannedMessageNumber}":{"put":{"tags":["Canned Messages for Tenant"],"summary":"Updates canned message for tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"cannedMessageNumber","in":"path","description":"Canned Message Number","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Canned Message","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CannedMessage"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/CannedMessage"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"CannedMessage":{"required":["Message","Number"],"type":"object","properties":{"Number":{"type":"integer","description":"Canned message number","format":"int32"},"Message":{"minLength":1,"type":"string","description":"The text of the canned message"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time"}},"additionalProperties":false}}}}
```
